<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function countdigits(num1){
            
    let rem=0;
    let count=0;
    let sum=0;
    while(num1!= 0){
        rem=num1%10;
        sum = sum + rem
        count++;
        num1 = Math.floor(num1/10);
    }
    return( `${sum} ${count}`);
        }
        let num1 = Number(prompt("enter the your number"));
        document.write(countdigits(num1))
    </script>
</body>
</html>